For the complete documentation index, see llms.txt. This page is also available as Markdown.

SDK Apps

List Apps

get
/sdk/apps

Retrieves a collection of all apps available to the authenticated user.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
opensourcebooleanOptional

If set to true, this parameter returns apps available to all users. If set to false, it retrieves the apps available to the authenticated user.

Responses
200

Successful response

application/json
get/sdk/apps
GET /api/v2/sdk/apps HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "apps": [
    {
      "name": "custom-app-1",
      "label": "Ding",
      "version": 1,
      "beta": true
    },
    {
      "name": "model",
      "label": "MODEL",
      "version": 1,
      "beta": false
    },
    {
      "name": "postman-test-app-1",
      "label": "Postman Test App",
      "version": 1,
      "beta": true
    },
    {
      "name": "postman-test-app-2-1",
      "label": "Postman Test App",
      "version": 1,
      "beta": true
    },
    {
      "name": "postman-test-app-3-1",
      "label": "Postman Test App",
      "version": 1,
      "beta": true
    },
    {
      "name": "postman-test-app-4-1",
      "label": "Postman Test App",
      "version": 1,
      "beta": true
    },
    {
      "name": "postman-test-app-5-1",
      "label": "Postman Test App",
      "version": 1,
      "beta": true
    },
    {
      "name": "testovaci-lokalni-appka-1",
      "label": "Testovací Lokální Appka",
      "version": 1,
      "beta": false
    }
  ]
}

Create App

post
/sdk/apps

Creates a new app with data passed in the request body. In the response, it returns all details of the created app.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Body
Responses
200

Successful response

application/json
post/sdk/apps
POST /api/v2/sdk/apps HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "app": {
    "name": "text",
    "label": "text",
    "description": "text",
    "version": 1,
    "beta": true,
    "theme": "text",
    "language": "text",
    "public": true,
    "approved": true,
    "global": true,
    "countries": [],
    "created": "2026-01-01T00:00:00.000Z",
    "manifestVersion": 1
  }
}
200

Successful response

{
  "app": {
    "name": "text",
    "label": "text",
    "version": 1,
    "theme": "text",
    "public": true,
    "approved": true
  }
}

Get App

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Query parameters
Responses
200

Successful response

application/json
get/sdk/apps/{SDK_appName}/{SDK_appVersion}
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "app": {
    "name": "postman-test-app-1",
    "label": "Postman Test App",
    "description": "This is a testing app from Postman",
    "version": 1,
    "versionFull": "1.0.0",
    "beta": true,
    "theme": "#ff00ff",
    "language": "en",
    "public": false,
    "approved": false,
    "opensource": false,
    "global": true,
    "countries": [],
    "created": "2019-12-18T11:55:31.655Z",
    "manifestVersion": 2,
    "changes": [],
    "compile": false,
    "compiledName": null,
    "compilationError": null,
    "inReview": false,
    "inviteToken": "token",
    "ipmRepo": "https://ipm.make.com",
    "origin": "eu2.make.com"
  }
}

Delete App

delete
/sdk/apps/{SDK_appName}/{SDK_appVersion}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Responses
200

Successful response

application/json
appstringOptional
delete/sdk/apps/{SDK_appName}/{SDK_appVersion}
DELETE /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "app": "postman-test-app-1"
}

Patch App

patch
/sdk/apps/{SDK_appName}/{SDK_appVersion}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Body
objectOptional
Responses
200

Successful response

application/json
patch/sdk/apps/{SDK_appName}/{SDK_appVersion}
PATCH /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "audience": "countries",
  "description": "Hey there, Charlie!",
  "countries": [
    "us",
    "uk",
    "cz"
  ],
  "label": "Multiverse",
  "theme": "#AABBCC",
  "language": "en"
}
200

Successful response

{
  "app": {
    "name": "beta-13-3",
    "label": "Multiverse",
    "description": "Hey there, Charlie!",
    "version": 1,
    "theme": "#aabbcc",
    "public": false,
    "approved": false
  }
}

Clone App

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Body
newNamestringOptional
newVersionintegerOptional
Responses
200

Successful response

application/json
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "newName": "beta-1",
  "newVersion": 2
}
200

Successful response

{
  "app": {
    "name": "postman-test-app-1",
    "label": "Postman Test App",
    "description": "This is a testing app from Postman",
    "version": 1,
    "beta": true,
    "theme": "#ff00ff",
    "language": "en",
    "public": false,
    "approved": false,
    "global": true,
    "countries": null,
    "created": "2019-12-18T11:55:31.655Z",
    "manifestVersion": 2
  }
}

Clone App Major Version

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone-major

Clones the app to the next major version with the same app name. Requires the "allow_apps" feature flag to be enabled.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Responses
200

Successful response

application/json
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone-major
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone-major HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "app": {
    "name": "postman-test-app-1",
    "label": "Postman Test App",
    "version": 2,
    "theme": "#ff00ff",
    "public": false,
    "approved": false
  }
}

Get App Review

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}/review
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Responses
200

Successful response

application/json
get/sdk/apps/{SDK_appName}/{SDK_appVersion}/review
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/review HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "review": {
    "contactName": "admin",
    "contactEmail": "admin@make.cloud",
    "reviewerName": null,
    "reviewerEmail": null,
    "codeStatus": null,
    "testStatus": null,
    "docsStatus": null
  }
}

Request Review

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/review
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Query parameters
allbooleanOptionalExample: true
Header parameters
Content-TypestringOptionalExample: application/json
Responses
200

Successful response

application/json
requestedbooleanOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/review
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/review HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "requested": true
}

Submit App Review Form

put
/sdk/apps/{SDK_appName}/{SDK_appVersion}/review/form
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionstringRequired
Body
testingScenariosobjectOptional
Responses
200

Successful response

application/json
put/sdk/apps/{SDK_appName}/{SDK_appVersion}/review/form
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/review/form HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "testingScenarios": {
    "hohoho": "https://www.santa.com"
  }
}
200

Successful response

{
  "form": {
    "testingScenarios": {
      "hohoho": "https://www.santa.com"
    }
  }
}

Get App Events Log

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}/events-log
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Query parameters
Responses
200

Successful response

application/json
get/sdk/apps/{SDK_appName}/{SDK_appVersion}/events-log
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/events-log HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "events": [
    {
      "id": 2,
      "appName": "webhook-zmetek",
      "appVersion": 1,
      "message": "Approval requested.",
      "detail": {},
      "authorId": 1,
      "createdAt": "2021-03-01T13:07:20.852Z"
    },
    {
      "id": 1,
      "appName": "webhook-zmetek",
      "appVersion": 1,
      "message": "App has been published.",
      "detail": {},
      "authorId": 1,
      "createdAt": "2021-03-01T12:36:52.837Z"
    }
  ]
}

Get App Common

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}/common

Get app client id and client secret.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired

The numeric version of the app.

SDK_appVersionintegerRequired

The numeric version of the app.

Example: 1
Responses
200

Successful response

application/json
objectOptional
get/sdk/apps/{SDK_appName}/{SDK_appVersion}/common
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "clientId": 123456,
  "clientSecret": "secret"
}

Set app common data

put
/sdk/apps/{SDK_appName}/{SDK_appVersion}/common

Sets the common data for the app based on the parameters passed in the request body. In the response, it returns all details of common data. Common data usually contain sensitive information like API keys or API secrets and these details are shared across all modules.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired

The name of the app.

SDK_appVersionintegerRequired

The app version.

Body
objectOptional

The JSON object containing the common data.

Responses
200

Successful response

application/json
changedbooleanOptional
put/sdk/apps/{SDK_appName}/{SDK_appVersion}/common
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "clientId": 123456,
  "clientSecret": "secret"
}
200

Successful response

{
  "changed": true
}

Get App Docs

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Query parameters
allbooleanOptionalExample: true
Responses
200

Successful response

text/markdown
stringOptional
get/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

# Hey There

Set App Docs

put
/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionstringRequired
Query parameters
allbooleanOptionalExample: true
Header parameters
Content-TypestringOptionalExample: text/markdown
Body
stringOptionalExample: I see you.
Responses
200

Successful response

application/json
changedbooleanOptional
put/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: text/markdown
Accept: */*
Content-Length: 12

"I see you."
200

Successful response

{
  "changed": true
}

Set App Base

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/base

Set app base configuration.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Header parameters
Content-TypestringOptionalExample: application/jsonc
Body
or
Responses
200

Successful response

application/json
changeobjectOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/base
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/base HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 1431

{
  "url": "text",
  "baseUrl": "text",
  "encodeUrl": true,
  "method": "GET",
  "headers": {
    "ANY_ADDITIONAL_PROPERTY": true
  },
  "qs": {
    "ANY_ADDITIONAL_PROPERTY": true
  },
  "ca": "text",
  "body": {},
  "type": "json",
  "temp": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "condition": true,
  "aws": {
    "key": "text",
    "secret": "text",
    "session": "text",
    "bucket": "text",
    "sign_version": "2"
  },
  "gzip": false,
  "followRedirects": true,
  "followAllRedirects": true,
  "log": {
    "sanitize": [
      "text"
    ]
  },
  "oauth": {
    "consumer_key": "text",
    "consumer_secret": "text",
    "private_key": "text",
    "token": "text",
    "token_secret": "text",
    "verifier": "text",
    "signature_method": "HMAC-SHA1",
    "transport_method": "header",
    "body_hash": true
  },
  "pagination": {
    "mergeWithParent": true,
    "url": "text",
    "method": "GET",
    "headers": {
      "ANY_ADDITIONAL_PROPERTY": true
    },
    "qs": {
      "ANY_ADDITIONAL_PROPERTY": true
    },
    "body": {},
    "condition": true
  },
  "response": {
    "type": {
      "ANY_ADDITIONAL_PROPERTY": "automatic"
    },
    "valid": true,
    "limit": 1,
    "error": "text",
    "iterate": "text",
    "temp": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "output": {},
    "trigger": {
      "type": "date",
      "order": "asc",
      "id": "text",
      "date": "text"
    },
    "data": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "metadata": {
      "value": "text",
      "type": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "uid": "text",
    "oauth": {
      "consumer_key": "text",
      "consumer_secret": "text",
      "private_key": "text",
      "token": "text",
      "token_secret": "text",
      "verifier": "text",
      "signature_method": "HMAC-SHA1",
      "transport_method": "header",
      "body_hash": true
    },
    "wrapper": "{{output}}",
    "expires": "text"
  }
}
200

Successful response

{
  "change": {}
}

Patch App Base

patch
/sdk/apps/{SDK_appName}/{SDK_appVersion}/base

Patch app base configuration.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Header parameters
Content-TypestringOptionalExample: application/jsonc
Body
or
Responses
200

Successful response

application/json
changeobjectOptional
patch/sdk/apps/{SDK_appName}/{SDK_appVersion}/base
PATCH /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/base HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 1431

{
  "url": "text",
  "baseUrl": "text",
  "encodeUrl": true,
  "method": "GET",
  "headers": {
    "ANY_ADDITIONAL_PROPERTY": true
  },
  "qs": {
    "ANY_ADDITIONAL_PROPERTY": true
  },
  "ca": "text",
  "body": {},
  "type": "json",
  "temp": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "condition": true,
  "aws": {
    "key": "text",
    "secret": "text",
    "session": "text",
    "bucket": "text",
    "sign_version": "2"
  },
  "gzip": false,
  "followRedirects": true,
  "followAllRedirects": true,
  "log": {
    "sanitize": [
      "text"
    ]
  },
  "oauth": {
    "consumer_key": "text",
    "consumer_secret": "text",
    "private_key": "text",
    "token": "text",
    "token_secret": "text",
    "verifier": "text",
    "signature_method": "HMAC-SHA1",
    "transport_method": "header",
    "body_hash": true
  },
  "pagination": {
    "mergeWithParent": true,
    "url": "text",
    "method": "GET",
    "headers": {
      "ANY_ADDITIONAL_PROPERTY": true
    },
    "qs": {
      "ANY_ADDITIONAL_PROPERTY": true
    },
    "body": {},
    "condition": true
  },
  "response": {
    "type": {
      "ANY_ADDITIONAL_PROPERTY": "automatic"
    },
    "valid": true,
    "limit": 1,
    "error": "text",
    "iterate": "text",
    "temp": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "output": {},
    "trigger": {
      "type": "date",
      "order": "asc",
      "id": "text",
      "date": "text"
    },
    "data": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "metadata": {
      "value": "text",
      "type": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "uid": "text",
    "oauth": {
      "consumer_key": "text",
      "consumer_secret": "text",
      "private_key": "text",
      "token": "text",
      "token_secret": "text",
      "verifier": "text",
      "signature_method": "HMAC-SHA1",
      "transport_method": "header",
      "body_hash": true
    },
    "wrapper": "{{output}}",
    "expires": "text"
  }
}
200

Successful response

{
  "change": {}
}

Set App Section

put
/sdk/apps/{SDK_appName}/{SDK_appVersion}/groups

Available sections: base, groups, install, installSpec

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Bodyobject[]
labelstringRequired
modulesstring[]Required
Responses
200

Successful response

application/json
changeobjectOptional
put/sdk/apps/{SDK_appName}/{SDK_appVersion}/groups
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/groups HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 37

[
  {
    "label": "text",
    "modules": [
      "text"
    ]
  }
]
200

Successful response

{
  "change": {}
}

Set App Section

put
/sdk/apps/{SDK_appName}/{SDK_appVersion}/install

Available sections: base, groups, install, installSpec

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Body
anyOptional
Responses
200

Successful response

application/json
changeobjectOptional
put/sdk/apps/{SDK_appName}/{SDK_appVersion}/install
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/install HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
200

Successful response

{
  "change": {}
}

Set App Visibility

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/{SDK_appVisibility}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
SDK_appVisibilitystring · enumRequiredPossible values:
Body
Responses
200

Successful response

application/json
publicbooleanOptional
inviteTokenstringOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/{SDK_appVisibility}
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/{SDK_appVisibility} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "public": true,
  "inviteToken": "token"
}

Set App Opensource

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/opensource

beta, stable

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Header parameters
Content-TypestringOptionalExample: text/plain
Body
Responses
200

Successful response

application/json
changedbooleanOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/opensource
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/opensource HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "changed": true
}

Set App ClosedSource

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/closedsource
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Body
Responses
200

Successful response

application/json
changedbooleanOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/closedsource
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/closedsource HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "changed": true
}

Get Change

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}/changes/{SDK_changeId}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
SDK_changeIdintegerRequired
Responses
200

Successful response

application/json
get/sdk/apps/{SDK_appName}/{SDK_appVersion}/changes/{SDK_changeId}
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/changes/{SDK_changeId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "change": {
    "id": 5,
    "group": "text",
    "code": "text",
    "oldValue": "text",
    "newValue": "text"
  }
}

Commit Changes

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/commit
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Header parameters
Content-TypestringOptionalExample: application/json
Body
messagestringOptional
notifybooleanOptional
changeIdsinteger[]Optional
Responses
200

Successful response

text/plain
booleanOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/commit
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/commit HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "message": "Just a small tweak",
  "notify": false,
  "changeIds": [
    1,
    2
  ]
}
200

Successful response

true

Rollback Changes

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/rollback
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Header parameters
Content-TypestringOptionalExample: application/json
Body
changeIdsinteger[]Optional
Responses
200

Successful response

application/json
rolledBackbooleanOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/rollback
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/rollback HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "changeIds": [
    1,
    2
  ]
}
200

Successful response

{
  "rolledBack": true
}

Get App Logo

get
/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon/{SDK_appIconSize}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
SDK_appIconSizeintegerRequired
Responses
200

Successful response

image/png
string · binaryOptional
get/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon/{SDK_appIconSize}
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon/{SDK_appIconSize} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

binary

Set App Logo

put
/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Body
string · binaryOptional
Responses
200

Successful response

application/json
changedbooleanOptional
put/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: image/png
Accept: */*
Content-Length: 8

"binary"
200

Successful response

{
  "changed": true
}

Uninstall App from Organization

post
/sdk/apps/{SDK_appName}/{SDK_appVersion}/uninstall
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
SDK_appVersionintegerRequired
Body
organizationIdintegerOptional
Responses
200

Successful response

application/json
namestringOptional
labelstringOptional
appVersionintegerOptional
organizationIdintegerOptional
installedAtstring · date-timeOptional
userIdstringOptional
themestringOptional
post/sdk/apps/{SDK_appName}/{SDK_appVersion}/uninstall
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/uninstall HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "organizationId": 1
}
200

Successful response

[
  {
    "name": "text",
    "label": "text",
    "appVersion": 1,
    "organizationId": 1,
    "installedAt": "2026-01-01T00:00:00.000Z",
    "userId": "text",
    "theme": "text"
  }
]

Last updated